diff -Nru f3-5.0/debian/changelog f3-5.0/debian/changelog
--- f3-5.0/debian/changelog	2015-02-23 17:32:29.000000000 +0100
+++ f3-5.0/debian/changelog	2015-03-17 08:43:09.000000000 +0100
@@ -1,3 +1,10 @@
+f3 (5.0-1ex1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Add experimental binaries.
+
+ -- Michal Suchanek <hramrach@gmail.com>  Tue, 17 Mar 2015 08:42:35 +0100
+
 f3 (5.0-1) experimental; urgency=medium
 
   * New upstream release.
diff -Nru f3-5.0/debian/control f3-5.0/debian/control
--- f3-5.0/debian/control	2014-10-26 22:59:36.000000000 +0100
+++ f3-5.0/debian/control	2015-03-17 08:44:38.000000000 +0100
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), libparted-dev, libudev-dev
 Standards-Version: 3.9.6
 Homepage: http://oss.digirati.com.br/f3
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/f3.git
diff -Nru f3-5.0/debian/install f3-5.0/debian/install
--- f3-5.0/debian/install	2014-09-19 23:59:59.000000000 +0200
+++ f3-5.0/debian/install	2015-03-18 18:25:28.000000000 +0100
@@ -1,4 +1,6 @@
 f3read		usr/bin
 f3write		usr/bin
+f3fix		usr/bin
+f3probe		usr/bin
 f3write.h2w	usr/share/f3
 log-f3wr	usr/share/f3
diff -Nru f3-5.0/debian/patches/Fix_crash_when_card_reader_lacks_serial_number f3-5.0/debian/patches/Fix_crash_when_card_reader_lacks_serial_number
--- f3-5.0/debian/patches/Fix_crash_when_card_reader_lacks_serial_number	1970-01-01 01:00:00.000000000 +0100
+++ f3-5.0/debian/patches/Fix_crash_when_card_reader_lacks_serial_number	2015-03-18 18:26:12.000000000 +0100
@@ -0,0 +1,60 @@
+Udev attributes can be null.
+ -- Michal Suchanek <hramrach@gmail.com>
+Index: f3-5.0/libdevs.c
+===================================================================
+--- f3-5.0.orig/libdevs.c	2014-12-24 16:10:47.000000000 +0100
++++ f3-5.0/libdevs.c	2015-03-18 18:20:07.946835419 +0100
+@@ -418,6 +418,16 @@
+ 	return mon;
+ }
+ 
++static int compare_udev_attr(struct udev_device *usb_dev, const char * attr, const char * cmp)
++{
++    const char * value = udev_device_get_sysattr_value(usb_dev, attr);
++    if (!value && !cmp) return 0;
++    if (!value) return 1;
++    if (!cmp) return -1;
++    return strcmp(value, cmp);
++}
++
++
+ static char *wait_for_add_action(struct udev *udev,
+ 	const char *id_vendor, const char *id_product, const char *serial)
+ {
+@@ -439,12 +449,9 @@
+ 
+ 		usb_dev = map_dev_to_usb_dev(dev);
+ 		if (usb_dev &&
+-			!strcmp(udev_device_get_sysattr_value(usb_dev,
+-				"idVendor"), id_vendor) &&
+-			!strcmp(udev_device_get_sysattr_value(usb_dev,
+-				"idProduct"), id_product) &&
+-			!strcmp(udev_device_get_sysattr_value(usb_dev,
+-				"serial"), serial)) {
++			!compare_udev_attr(usb_dev, "idVendor", id_vendor) &&
++			!compare_udev_attr(usb_dev, "idProduct", id_product) &&
++			!compare_udev_attr(usb_dev, "serial", serial)) {
+ 			devnode = strdup(udev_device_get_devnode(dev));
+ 			assert(devnode);
+ 			done = true;
+Index: f3-5.0/f3fix.c
+===================================================================
+--- f3-5.0.orig/f3fix.c	2014-12-24 16:10:47.000000000 +0100
++++ f3-5.0/f3fix.c	2015-03-18 18:24:25.562844530 +0100
+@@ -74,14 +74,14 @@
+ 		args->disk_type = ped_disk_type_get(arg);
+ 		if (!args->disk_type)
+ 			argp_error(state,
+-				"Disk type `%s' is not supported; use --list-disk-types to see the supported types");
++				"Disk type `%s' is not supported; use --list-disk-types to see the supported types", arg);
+ 		break;
+ 
+ 	case 'f':
+ 		args->fs_type = ped_file_system_type_get(arg);
+ 		if (!args->fs_type)
+ 			argp_error(state,
+-				"File system type `%s' is not supported; use --list-fs-types to see the supported types");
++				"File system type `%s' is not supported; use --list-fs-types to see the supported types", arg);
+ 		break;
+ 
+ 	case 'b':
diff -Nru f3-5.0/debian/patches/Makefile f3-5.0/debian/patches/Makefile
--- f3-5.0/debian/patches/Makefile	2015-02-23 15:35:00.000000000 +0100
+++ f3-5.0/debian/patches/Makefile	2015-03-17 08:32:35.000000000 +0100
@@ -3,9 +3,9 @@
 Last-Update: 2015-02-23
 Index: f3-5.0/Makefile
 ===================================================================
---- f3-5.0.orig/Makefile
-+++ f3-5.0/Makefile
-@@ -8,10 +8,10 @@ all: $(TARGETS)
+--- f3-5.0.orig/Makefile	2014-12-24 16:10:47.000000000 +0100
++++ f3-5.0/Makefile	2015-03-17 08:32:29.018532939 +0100
+@@ -8,19 +8,19 @@
  experimental: $(EXPERIMENTAL_TARGETS)
  
  f3write: utils.o f3write.o
@@ -17,4 +17,16 @@
 +	$(CC) $(LDFLAGS) -o $@ $^
  
  f3probe: libutils.o libdevs.o libprobe.o utils.o f3probe.o
- 	$(CC) -o $@ $^ -lm -ludev
+-	$(CC) -o $@ $^ -lm -ludev
++	$(CC) $(LDFLAGS) -o $@ $^ -lm -ludev
+ 
+ f3brew: libutils.o libdevs.o f3brew.o
+-	$(CC) -o $@ $^ -lm -ludev
++	$(CC) $(LDFLAGS) -o $@ $^ -lm -ludev
+ 
+ f3fix: utils.o f3fix.o
+-	$(CC) -o $@ $^ -lparted
++	$(CC) $(LDFLAGS) -o $@ $^ -lparted
+ 
+ -include *.d
+ 
diff -Nru f3-5.0/debian/patches/series f3-5.0/debian/patches/series
--- f3-5.0/debian/patches/series	2015-02-23 15:41:20.000000000 +0100
+++ f3-5.0/debian/patches/series	2015-03-17 08:33:56.000000000 +0100
@@ -1,2 +1,3 @@
 README
 Makefile
+Fix_crash_when_card_reader_lacks_serial_number
diff -Nru f3-5.0/debian/rules f3-5.0/debian/rules
--- f3-5.0/debian/rules	2014-09-19 23:43:26.000000000 +0200
+++ f3-5.0/debian/rules	2015-03-17 08:27:52.000000000 +0100
@@ -5,3 +5,7 @@
 
 %:
 	dh $@ --parallel
+
+override_dh_auto_build:
+	make all experimental
+
